This is a migrated thread and some comments may be shown as answers.

Demo Dependency Problem

4 Answers 40 Views
General Discussions
This is a migrated thread and some comments may be shown as answers.
david
Top achievements
Rank 1
david asked on 03 Aug 2010, 10:06 AM
Hi,
When I try to view the control demo, and specifically click on "First Look" for a given control, I get the following error appearing in an IE message box. 

"Could not load file or assembly 'Docking' or one of its dependencies. An attempt was made to load a program with an incorrect format."

This happens for each control, the the assembly name being replaced for each different control. Its a shame as Id really like to see the controls Telerik offer

Regards
David

4 Answers, 1 is accepted

Sort by
0
Valeri Hristov
Telerik team
answered on 03 Aug 2010, 01:31 PM
Hello David,

In case you have opened our online demos in the past, your XBAP application cache might contain older versions of our assemblies, that might interfere with the current version of the application. You could "fix" that by clearing your XBAP cache: open a Visual Studio command prompt and type "mage -cc" then press Enter. If you don't have Visual Studio installed, please try the instructions in the following blog post:
http://blogs.msdn.com/b/karstenj/archive/2006/08/09/693488.aspx

You could also try downloading a trial version of our controls and running the demos locally.

Regards,
Valeri Hristov
the Telerik team
Do you want to have your say when we set our development plans? Do you want to know when a feature you care about is added or when a bug fixed? Explore the Telerik Public Issue Tracking system and vote to affect the priority of the items
0
david
Top achievements
Rank 1
answered on 03 Aug 2010, 03:14 PM
Hi,
Thanks for the speedy reply.

I tried running mage -cc from the command prompt, and it stated the cache had been cleared. However, when i reopen IE 8 and try to view the demos again, i still get the same error message.

Regards
David
0
Valeri Hristov
Telerik team
answered on 03 Aug 2010, 04:09 PM
Could you share more information about the machine you are trying to run the demos? Windows version, .NET Framework version and service pack, etc. The online demos require .NET 3.5 SP1 and if you don't have it installed, they will not work. In addition, it would be of great help if you send me the complete stack trace of the exception.

All the best,
Valeri Hristov
the Telerik team
Do you want to have your say when we set our development plans? Do you want to know when a feature you care about is added or when a bug fixed? Explore the Telerik Public Issue Tracking system and vote to affect the priority of the items
0
david
Top achievements
Rank 1
answered on 03 Aug 2010, 05:03 PM
Hi,
I thought I had 3.5 SP 1 installed, but this seems not to be the case. I'll install it and give it ago when i return from vacation.

Many Thanks for your assistance
David
Tags
General Discussions
Asked by
david
Top achievements
Rank 1
Answers by
Valeri Hristov
Telerik team
david
Top achievements
Rank 1
Share this question
or